API referenceSequences

Test a sequence

POST/sequences/{id}/test

A dry run for one contact: conditions are evaluated, emails rendered, nothing changes. With send_to (your own address, from a dashboard session) each email is also sent to you, prefixed [Test].

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/sequences/string/test" \  -H "Content-Type: application/json" \  -d '{}'
{  "object": "sequence_test",  "sequence_id": "string",  "contact_id": "string",  "ends": "string",  "truncated": true,  "steps": [    {      "step_id": "string",      "type": "delay",      "outcome": "string",      "at_offset_seconds": 0    }  ],  "emails": [    {      "step_id": "string",      "from": "string",      "subject": "string",      "html": "string",      "text": "string",      "email_id": "string",      "error": "string"    }  ]}